---
title: ':-moz-user-disabled'
slug: 'Web/CSS/:-moz-user-disabled'
tags:
  - CSS
  - 'CSS:Mozilla Extensions'
  - NeedsCompatTable
  - Non-standard
  - Pseudo-class
  - Reference
  - Selector
---
<div>{{CSSRef}}{{Non-standard_header}}{{gecko_minversion_header("1.9")}}</div>

<p>The <strong><code>:-moz-user-disabled</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> is a <a href="/en-US/docs/Web/CSS/Mozilla_Extensions">Mozilla extension</a> that matches elements representing images that were not loaded because images have been entirely disabled by the user's preferences.</p>

<div class="note">
<p><strong>Note:</strong> This selector is mainly intended to be used by theme developers.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">:-moz-user-disabled</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Styling_user-disabled_elements">Styling user-disabled elements</h3>

<pre class="brush: css notranslate">:-moz-user-disabled {
  background-color: lightgray;
  padding: 8px;
}</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref(":-moz-broken")}}, {{cssxref(":-moz-loading")}}, {{cssxref(":-moz-suppressed")}}</li>
</ul>
